Fedora Packages

strongswan-5.9.8-1.el8 in EPEL 8

↵ Return to the main page of strongswan
View build
Search for updates

Package Info (Data from x86_64 build)
🠗 Changelog
🠗 Provides
🠗 Files

Changelog

Date Author Change
2022-10-16 Arne Reiter <redhat at arnereiter dot de> - 5.9.8-1 - Resolves rhbz#2112274 strongswan-5.9.8 is available - Patch1 removes CFLAGS -Wno-format which interferes with -Werror=format-security - Add BuildRequire for autoconf and automake, now required for release - Remove obsolete patches
2022-06-22 Arne Reiter <redhat at arnereiter dot de> - 5.9.6-1 - Resolves rhbz#2080070 strongswan-5.9.6 is available - Fixed missing format string in enum_flags_to_string()
2022-02-25 Arne Reiter <redhat at arnereiter dot de> - 5.9.5-3 - Resolves: rhbz#2048108 - segfault at 18 ip 00007f4c7c0d841c sp 00007ffe49f61b70 error 4 in libc.so.6
2022-01-25 Paul Wouters <paul dot wouters at aiven dot io> - 5.9.5-2 - Use newly published/cleaned strongswan gpg key
2022-01-24 Paul Wouters <paul dot wouters at aiven dot io> - 5.9.5-1 - Resolves rhbz#2044361 strongswan-5.9.5 is available (CVE-2021-45079)
2022-01-22 Fedora Release Engineering <releng at fedoraproject dot org> - 5.9.4-5 - Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild
2021-12-16 Neal Gompa <ngompa at datto dot com> - 5.9.4-4 - Disable TPM/TSS 1.2 support for F36+ / RHEL9+ - Resolves: rhbz#2033299 Drop TPM/TSS 1.2 support (trousers)
2021-11-11 Petr Menšík <pemensik at redhat dot com> - 5.9.4-3 - Resolves rhbz#1419441 Add python and perl vici bindings - Adds optional tests run
2021-11-09 Paul Wouters <paul dot wouters at aiven dot io> - 5.9.4-2 - Resolves rhbz#2018547 'strongswan restart' breaks ipsec started with strongswan-starter - Return to using tmpfiles, but extend to cover strongswan-starter service too - Cleanup old patches
2021-10-20 Paul Wouters <paul dot wouters at aiven dot io> - 5.9.4-1 - Resolves: rhbz#2015165 strongswan-5.9.4 is available - Resolves: rhbz#2015612 CVE-2021-41990 strongswan: gmp plugin: integer overflow via a crafted certificate with an RSASSA-PSS signature - Resolves: rhbz#2015615 CVE-2021-41991 strongswan: integer overflow when replacing certificates in cache - Add BuildRequire for tpm2-tss-devel and weak dependency for tpm2-tools

Provides

  • config(strongswan)
  • libcharon.so.0()(64bit)
  • libnttfft.so.0()(64bit)
  • libpttls.so.0()(64bit)
  • libradius.so.0()(64bit)
  • libsimaka.so.0()(64bit)
  • libstrongswan-acert.so()(64bit)
  • libstrongswan-aes.so()(64bit)
  • libstrongswan-aesni.so()(64bit)
  • libstrongswan-attr.so()(64bit)
  • libstrongswan-bypass-lan.so()(64bit)
  • libstrongswan-ccm.so()(64bit)
  • libstrongswan-chapoly.so()(64bit)
  • libstrongswan-cmac.so()(64bit)
  • libstrongswan-constraints.so()(64bit)
  • libstrongswan-counters.so()(64bit)
  • libstrongswan-ctr.so()(64bit)
  • libstrongswan-curl.so()(64bit)
  • libstrongswan-curve25519.so()(64bit)
  • libstrongswan-des.so()(64bit)
  • libstrongswan-dhcp.so()(64bit)
  • libstrongswan-dnskey.so()(64bit)
  • libstrongswan-drbg.so()(64bit)
  • libstrongswan-duplicheck.so()(64bit)
  • libstrongswan-eap-aka-3gpp.so()(64bit)
  • libstrongswan-eap-aka-3gpp2.so()(64bit)
  • libstrongswan-eap-aka.so()(64bit)
  • libstrongswan-eap-dynamic.so()(64bit)
  • libstrongswan-eap-gtc.so()(64bit)
  • libstrongswan-eap-identity.so()(64bit)
  • libstrongswan-eap-md5.so()(64bit)
  • libstrongswan-eap-mschapv2.so()(64bit)
  • libstrongswan-eap-peap.so()(64bit)
  • libstrongswan-eap-radius.so()(64bit)
  • libstrongswan-eap-sim-file.so()(64bit)
  • libstrongswan-eap-sim.so()(64bit)
  • libstrongswan-eap-tls.so()(64bit)
  • libstrongswan-eap-ttls.so()(64bit)
  • libstrongswan-ext-auth.so()(64bit)
  • libstrongswan-farp.so()(64bit)
  • libstrongswan-fips-prf.so()(64bit)
  • libstrongswan-gcm.so()(64bit)
  • libstrongswan-gcrypt.so()(64bit)
  • libstrongswan-gmp.so()(64bit)
  • libstrongswan-ha.so()(64bit)
  • libstrongswan-hmac.so()(64bit)
  • libstrongswan-ipseckey.so()(64bit)
  • libstrongswan-kdf.so()(64bit)
  • libstrongswan-kernel-netlink.so()(64bit)
  • libstrongswan-led.so()(64bit)
  • libstrongswan-md4.so()(64bit)
  • libstrongswan-md5.so()(64bit)
  • libstrongswan-mgf1.so()(64bit)
  • libstrongswan-newhope.so()(64bit)
  • libstrongswan-nonce.so()(64bit)
  • libstrongswan-openssl.so()(64bit)
  • libstrongswan-pem.so()(64bit)
  • libstrongswan-pgp.so()(64bit)
  • libstrongswan-pkcs1.so()(64bit)
  • libstrongswan-pkcs11.so()(64bit)
  • libstrongswan-pkcs12.so()(64bit)
  • libstrongswan-pkcs7.so()(64bit)
  • libstrongswan-pkcs8.so()(64bit)
  • libstrongswan-pubkey.so()(64bit)
  • libstrongswan-random.so()(64bit)
  • libstrongswan-rc2.so()(64bit)
  • libstrongswan-resolve.so()(64bit)
  • libstrongswan-revocation.so()(64bit)
  • libstrongswan-sha1.so()(64bit)
  • libstrongswan-sha2.so()(64bit)
  • libstrongswan-socket-default.so()(64bit)
  • libstrongswan-sql.so()(64bit)
  • libstrongswan-sshkey.so()(64bit)
  • libstrongswan-stroke.so()(64bit)
  • libstrongswan-tpm.so()(64bit)
  • libstrongswan-unity.so()(64bit)
  • libstrongswan-updown.so()(64bit)
  • libstrongswan-vici.so()(64bit)
  • libstrongswan-x509.so()(64bit)
  • libstrongswan-xauth-eap.so()(64bit)
  • libstrongswan-xauth-generic.so()(64bit)
  • libstrongswan-xauth-noauth.so()(64bit)
  • libstrongswan-xauth-pam.so()(64bit)
  • libstrongswan-xcbc.so()(64bit)
  • libstrongswan.so.0()(64bit)
  • libtls.so.0()(64bit)
  • libtpmtss.so.0()(64bit)
  • libvici.so.0()(64bit)
  • strongswan
  • strongswan(x86-64)

Files


Sources on Pagure